org.tmatesoft.svn.core.auth

## Class SVNPasswordAuthentication

- java.lang.Object
- - org.tmatesoft.svn.core.auth.SVNAuthentication
  - - org.tmatesoft.svn.core.auth.SVNPasswordAuthentication

-     public class SVNPasswordAuthentication
      extends SVNAuthentication

  The SVNPasswordAuthentication class represents a simple user credential pair - a username and password.

  To obtain a password credential, specify the `PASSWORD` kind to credentials getter method of ISVNAuthenticationManager: `getFirstAuthentication()`, `getNextAuthentication()`.

  Since:
    1.2
  Version:
    1.3
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SVNPasswordAuthentication(java.lang.String userName, java.lang.String password, boolean storageAllowed)` Creates a password user credential object given a username and password.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getPassword()` Returns this user credential's password.

    - ### Methods inherited from class org.tmatesoft.svn.core.auth.SVNAuthentication

      `getKind, getUserName, isStorageAllowed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SVNPasswordAuthentication

          public SVNPasswordAuthentication(java.lang.String userName,
                                   java.lang.String password,
                                   boolean storageAllowed)

      Creates a password user credential object given a username and password.
      Parameters:
        `userName` - the name of a user to authenticate
        `password` - the user's password
        `storageAllowed` - if true then this credential is allowed to be stored in the global auth cache, otherwise not

  - ### Method Detail

    - #### getPassword

          public java.lang.String getPassword()

      Returns this user credential's password.
      Returns:
        the user's password

Copyright © 2004-2009 TMate Software Ltd. All Rights Reserved.